<?php
// Content Management 0.5.0 module for PHProjekt, version 3.3.
// Copyright 2002, 2003 by Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$file = "console";
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;



if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
  echo "<p align=\"center\"><strong>{$cm_text["console-welcome"]}</strong></p><hr>\n";
  echo "<table border=\"0\" align=\"center\" cellpadding=\"10\" cellspacing=\"0\">";
  echo "<tr><td><a href=\"display.php\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_gohome"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["setup-gotocmhome"]}</a></td></tr>";
  echo "<tr><td><a href=\"$path_pre\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_gohome"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["setup-gotohome"]}</a></td></tr>";
  echo "<tr><td><a href=\"adm_config.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_config"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-reconfigure"]}</a></td></tr>\n";
  echo "<tr><td><a href=\"adm_createdb.php?cmru=console\" class=\"pngimg\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_createdb"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-createdb"]}</a></td></tr>\n";
  echo "<tr><td><a href=\"adm_editsec.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_editsec"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-editsec"]}</a></td></tr>\n";
  //echo "<tr><td><a href=\"adm_backdata.php?cmru=console\">{$cm_text["console-backupdata"]}</a></td></tr>\n";
  //echo "<tr><td><a href=\"adm_backroot.php?cmru=console\">{$cm_text["console-backuproot"]}</a></td></tr>\n";
  echo "<tr><td><a href=\"adm_mkroot.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_mkroot"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-createroot"]}</a></td></tr>\n";
  //echo "<tr><td><a href=\"adm_rmroot.php?cmru=console\">{$cm_text["console-deleteroot"]}</a></p>\n";
  echo "<tr><td><a href=\"adm_applog.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_log"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-viewapplog"]}</a></td></tr>\n";
  echo "<tr><td><a href=\"adm_chkdata.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_check"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-checkdata"]}</a></td></tr>\n";
  echo "</table>";
}
else {
  echo "<p><strong>{$cm_text["console-welcome"]}</strong></p>\n";
  echo "<h3>{$cm_text["console-nosuperuser"]}</h3>\n";
  fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when viewing the console. Not enough permissions.");
}


echo $cm_html_footer;
?>

